Salix Xfce 14.2beta1

User avatar
sjox
Donor
Posts: 39
Joined: 14. Nov 2012, 17:29

Re: Salix Xfce 14.2beta1

Post by sjox » 19. Jun 2016, 21:54

Hi laprjns!
...my network connection continuously cycles between being connected...
Maybe automatic power management of the wificard - can you disable it?
What says "dmesg"?

by

User avatar
laprjns
Salix Warrior
Posts: 1039
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Salix Xfce 14.2beta1

Post by laprjns » 20. Jun 2016, 09:46

sjox wrote:Maybe automatic power management of the wificard - can you disable it?
As I said:
laprjns wrote:This is happening on both my Asus laptop using wifi and and my desktop using wired connection.
sjox wrote:What says "dmesg"?
Nothing
“Don’t you see that the whole aim of Newspeak is to narrow the range of thought?"

DidierSpaier
Posts: 312
Joined: 20. Jun 2016, 20:15

Re: Salix Xfce 14.2beta1

Post by DidierSpaier » 20. Jun 2016, 20:54

I tried Salix64-142beta1 in a VirtualBox VM in EFI mode.

No issue during installation. I chose to install both lilo and elilo (without a making a boot entry for Salix in the EFI firmware).

Salix didn't start at first in UEFI mode. However using the UEFI shell of the VM I could start it.

Next, I couldn't start X. No big deal, I needed the VirtualBox additions.

When trying to build the VirtualBox modules it complained of missing kernel source.

I installed the kernel-source, installed the VirtualBx additions and could start X. The desktop looks nice ;)

Keep up the good work!

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Salix Xfce 14.2beta1

Post by Atip » 25. Jun 2016, 08:29

Installed from DVD on older desktop PC.
Installation went smooth and fast. :D
Tried a few applications. Can't find any fault yet. ;)

As usual missing xclock, xterm and gkrellm. Installed now

Waiting for the final great Salix release. 8-)

User avatar
laprjns
Salix Warrior
Posts: 1039
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Salix Xfce 14.2beta1

Post by laprjns » 2. Jul 2016, 00:16

I'm getting an "unable to open document when opening a pdf file with Atril. Atril is looking for libpoppler.so.61, but libpooppler.so.62 is installed.

Code: Select all

rich[Downloads]$ atril PS3-02_03-1.5_2.pdf 
Vector smash protection is enabled.

(atril:4664): AtrilDocument-WARNING **: libpoppler.so.61: cannot open shared object file: No such file or directory

(atril:4664): AtrilDocument-WARNING **: Cannot load backend 'pdfdocument' since file '/usr/lib64/atril/3/backends/libpdfdocument.so' cannot be read.

(atril:4664): AtrilDocument-WARNING **: libpoppler.so.61: cannot open shared object file: No such file or directory

(atril:4664): AtrilDocument-WARNING **: Cannot load backend 'pdfdocument' since file '/usr/lib64/atril/3/backends/libpdfdocument.so' cannot be read.
openjdk version "1.8.0_91"
OpenJDK Runtime Environment (IcedTea 3.0.1) (Slackware)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)
BTW as a temporary solution adding a symbolic link from libpoppler.so.61 to libpoppler.so.62 a will allow Atril to open documents

Code: Select all

sudo ln -s /usr/lib64/libpoppler,so.62 /usr/lib64/libpoppler.so.61
“Don’t you see that the whole aim of Newspeak is to narrow the range of thought?"

User avatar
sjox
Donor
Posts: 39
Joined: 14. Nov 2012, 17:29

Re: Salix Xfce 14.2beta1

Post by sjox » 2. Jul 2016, 15:02

I absolutely want to note about networkmanager and wicd:
I have tested many other xfce-distros - all(!) of them lock up and I had to reset the computer!
This happened mostly every day but this doesn't disturb me because I only want to use Salix.
But then it happened: Salix 14.2 (beta) crashes too...

Thankfully I read the message of laprjns and the odd problem of his networkmanager...
I'm having issues with networkmanager where my network connection continuously cycles between being connected and disconnected,
So I realized, that all tested distros are using the networkmanager!
(Salix 14.1 is using wicd)
I switched on Salix 14.2 to wicd and this problem is gone too - nearly two weeks without freeze :D

I don't think the networkmanager is buggy - he is more powerfull than wicd.
But there are apparently conditions where he fails.
I have found my point of failure -> the adsl-router.
(that's why I have tested so many distros - but this is a individual case, debated in this forum)
The networkmanager don't tolerate my adsl-router - so wicd is a important graphically alternative!
Don't bump wicd from the repository :!:

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Salix Xfce 14.2beta1

Post by Atip » 3. Jul 2016, 03:52

laprjns wrote:I'm getting an "unable to open document when opening a pdf file with Atril. Atril is looking for libpoppler.so.61, but libpooppler.so.62 is installed.

Code: Select all

rich[Downloads]$ atril PS3-02_03-1.5_2.pdf 
Vector smash protection is enabled.

(atril:4664): AtrilDocument-WARNING **: libpoppler.so.61: cannot open shared object file: No such file or directory

(atril:4664): AtrilDocument-WARNING **: Cannot load backend 'pdfdocument' since file '/usr/lib64/atril/3/backends/libpdfdocument.so' cannot be read.

(atril:4664): AtrilDocument-WARNING **: libpoppler.so.61: cannot open shared object file: No such file or directory

(atril:4664): AtrilDocument-WARNING **: Cannot load backend 'pdfdocument' since file '/usr/lib64/atril/3/backends/libpdfdocument.so' cannot be read.
openjdk version "1.8.0_91"
OpenJDK Runtime Environment (IcedTea 3.0.1) (Slackware)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)
BTW as a temporary solution adding a symbolic link from libpoppler.so.61 to libpoppler.so.62 a will allow Atril to open documents

Code: Select all

sudo ln -s /usr/lib64/libpoppler,so.62 /usr/lib64/libpoppler.so.61
I have no such problem.

Code: Select all

ls  -l /usr/lib/libpoppler*
-rwxr-xr-x 1 root root    1465 May 25 01:50 /usr/lib/libpoppler-cpp.la
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-cpp.so -> libpoppler-cpp.so.0.2.1
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-cpp.so.0 -> libpoppler-cpp.so.0.2.1
-rwxr-xr-x 1 root root   75708 May 25 01:50 /usr/lib/libpoppler-cpp.so.0.2.1
-rwxr-xr-x 1 root root    2284 May 25 01:50 /usr/lib/libpoppler-glib.la
lrwxrwxrwx 1 root root      24 Jun 25 00:00 /usr/lib/libpoppler-glib.so -> libpoppler-glib.so.8.7.0
lrwxrwxrwx 1 root root      24 Jun 25 00:00 /usr/lib/libpoppler-glib.so.8 -> libpoppler-glib.so.8.7.0
-rwxr-xr-x 1 root root  380732 May 25 01:50 /usr/lib/libpoppler-glib.so.8.7.0
-rwxr-xr-x 1 root root    1595 May 25 01:50 /usr/lib/libpoppler-qt4.la
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-qt4.so -> libpoppler-qt4.so.4.9.0
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-qt4.so.4 -> libpoppler-qt4.so.4.9.0
-rwxr-xr-x 1 root root  480300 May 25 01:50 /usr/lib/libpoppler-qt4.so.4.9.0
-rwxr-xr-x 1 root root    1422 May 25 01:50 /usr/lib/libpoppler.la
lrwxrwxrwx 1 root root      20 Jun 25 00:00 /usr/lib/libpoppler.so -> libpoppler.so.61.0.0
lrwxrwxrwx 1 root root      20 Jun 25 00:00 /usr/lib/libpoppler.so.61 -> libpoppler.so.61.0.0
-rwxr-xr-x 1 root root 2521492 May 25 01:50 /usr/lib/libpoppler.so.61.0.0

User avatar
laprjns
Salix Warrior
Posts: 1039
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Salix Xfce 14.2beta1

Post by laprjns » 3. Jul 2016, 12:02

Atip wrote:I have no such problem.

Code: Select all

ls  -l /usr/lib/libpoppler*
-rwxr-xr-x 1 root root    1465 May 25 01:50 /usr/lib/libpoppler-cpp.la
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-cpp.so -> libpoppler-cpp.so.0.2.1
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-cpp.so.0 -> libpoppler-cpp.so.0.2.1
-rwxr-xr-x 1 root root   75708 May 25 01:50 /usr/lib/libpoppler-cpp.so.0.2.1
-rwxr-xr-x 1 root root    2284 May 25 01:50 /usr/lib/libpoppler-glib.la
lrwxrwxrwx 1 root root      24 Jun 25 00:00 /usr/lib/libpoppler-glib.so -> libpoppler-glib.so.8.7.0
lrwxrwxrwx 1 root root      24 Jun 25 00:00 /usr/lib/libpoppler-glib.so.8 -> libpoppler-glib.so.8.7.0
-rwxr-xr-x 1 root root  380732 May 25 01:50 /usr/lib/libpoppler-glib.so.8.7.0
-rwxr-xr-x 1 root root    1595 May 25 01:50 /usr/lib/libpoppler-qt4.la
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-qt4.so -> libpoppler-qt4.so.4.9.0
lrwxrwxrwx 1 root root      23 Jun 25 00:00 /usr/lib/libpoppler-qt4.so.4 -> libpoppler-qt4.so.4.9.0
-rwxr-xr-x 1 root root  480300 May 25 01:50 /usr/lib/libpoppler-qt4.so.4.9.0
-rwxr-xr-x 1 root root    1422 May 25 01:50 /usr/lib/libpoppler.la
lrwxrwxrwx 1 root root      20 Jun 25 00:00 /usr/lib/libpoppler.so -> libpoppler.so.61.0.0
lrwxrwxrwx 1 root root      20 Jun 25 00:00 /usr/lib/libpoppler.so.61 -> libpoppler.so.61.0.0
-rwxr-xr-x 1 root root 2521492 May 25 01:50 /usr/lib/libpoppler.so.61.0.0
Looks like your using i586 (32 bit) system. My problem is on x86_64. I just did a fresh install, fully updated it and still getting the same problem with Atril

Code: Select all

rich[Downloads]$ ls -l /usr/lib64/libpoppler.so*
lrwxrwxrwx 1 root root      20 Jul  2 21:01 /usr/lib64/libpoppler.so -> libpoppler.so.62.0.0
lrwxrwxrwx 1 root root      20 Jul  2 21:01 /usr/lib64/libpoppler.so.62 -> libpoppler.so.62.0.0
-rwxr-xr-x 1 root root 2678408 Jun 23 02:22 /usr/lib64/libpoppler.so.62.0.0

“Don’t you see that the whole aim of Newspeak is to narrow the range of thought?"

User avatar
mimosa
Salix Warrior
Posts: 3101
Joined: 25. May 2010, 17:02
Contact:

Re: Salix Xfce 14.2beta1

Post by mimosa » 3. Jul 2016, 18:06

Maybe mate-utils just needs to be rebuilt against the current version of poppler. That would be easy to test.

User avatar
lucky9
Posts: 21
Joined: 31. Jul 2014, 16:16

Re: Salix Xfce 14.2beta1

Post by lucky9 » 3. Jul 2016, 21:08

I have the same problem as Rich.
HP DC7800 SFF | 2.33GHz Intel Core 2 Duo | Salix64-Xfce-14.1

Locked